Subject: Re: [PATCH] WOL for sis900

From: Malte Schröder <[email-masked]>
Date: Sun, 31 Oct 2004 14:08:08 +0100

Daniele Venzano wrote:
> On Sat, Oct 30, 2004 at 12:13:39PM -0400, Jeff Garzik wrote:
> 
>>Malte Schröder wrote:
>>
>>>Hello,
>>>I have applied the patch from http://lkml.org/lkml/2003/7/16/88 manually 
>>>to 2.6.7 (also works on 2.6.{8,9}) and have been using it since then.
>>>Attached is a diff against 2.6.9.
>>
>>2) Please use ethtool to enable/disable WOL.  No need for a module option.
> 
> 
> Attached is a first try at this wol via ethtool thing. I don't think to
> have got it right, but here it is.
> 
> I tried to test WoL on my laptop, obvioulsy it didn't work, but I don't
> even know if I have the hardware support for it.
> On this page:
> http://www.sis.com/products/connectivity/900.htm
> it says that the magic packet feature is optional.
> 
> I would really like to have some way to check if WoL is supported by the
> hardware before thinking to include this. I didn't find any
> documentation of some use for this.
> 
> Finally, I have never realized the sorry state of sis900 wrt ethtool,
> I'll try to get some more support...
> 
> The attached patch is against clean 2.6.9 and is NOT for inclusion.

I just tried your patch and it works for me :)
My sis900 is on-board component of the sis746 chipset.
-- 
---------------------------------------
Malte Schröder
[email-masked]
ICQ# 68121508
---------------------------------------